# Interface DecodedPropertySet

interface DecodedPropertySet {
gidPropertyNames?: string[];
name: string;
type: "properties" | "quantities";
value: T8PropertySet<T8Unit> | T8QuantitySet<T8Unit>;
}

##### Index

### Properties

gidPropertyNames?
name
type
value

## Properties

### `Optional` `Readonly` gidPropertyNames

gidPropertyNames?: string[]

### `Readonly` name

name: string

### `Readonly` type

type: "properties" | "quantities"

### `Readonly` value

value: T8PropertySet<T8Unit> | T8QuantitySet<T8Unit>